      program overflow

      Integer default
      Integer*1 a/127/
      Integer*2 b/32767/
      Integer*4  c/2147483647/
c      Integer*8 d/9223372036854775807/
      
      write (6,100) a,b,c
 99   write(*,*) "upisi cijeli broj, 0 za kraj"
      read  (5,*) n
      a=a+n
      b=b+n
      c=c+n
      write (6,100) a,b,c
      If(n .eq. 0) Go to 101

c     [r]cw is r repeat, c=I, B, O, Z, F, E, EN, ES, D, G, L, or A., w=width
 
 100  format(4I20)
      Go to 99                  ! repeat
 101  continue

      end program

      
